Bug 104814 - Writer: Change tracking: everything is a change, and accepting changes gets stuck
Summary: Writer: Change tracking: everything is a change, and accepting changes gets s...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.3.3 release
Hardware: All All
: medium normal
Assignee: Noel Grandin
URL:
Whiteboard: target:5.4.0 target:5.3.0.1 target:5.2.5
Keywords: filter:docx
Depends on:
Blocks:
 
Reported: 2016-12-20 13:44 UTC by Noel Grandin
Modified: 2017-01-10 06:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
writer (12.53 KB, application/zip)
2016-12-20 13:44 UTC, Noel Grandin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Grandin 2016-12-20 13:44:35 UTC
Created attachment 129809 [details]
writer

Accepting changes one after the other via 
 "Edit - Track Changes - Manage Changes...", 
the process gets stuck with the given test doc
Comment 1 Buovjaga 2016-12-20 20:09:27 UTC
There is one change, but sure enough nothing happens with accept or reject.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.3.3
Build ID: 5.2.3-1
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: db9aec4520766c87a09d4cb0238ed06ebaeaaeeb
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on December 18th 2016
Comment 2 Commit Notification 2016-12-21 09:43:39 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b7b5c23e6979205a662d857bc1c83270fb4a43ec

tdf#104814 Writer: accepting change tracking changes get stuck

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-12-21 11:52:32 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c28006c62b6fec2f41ea2bff7ef8fe9e95da0257&h=libreoffice-5-3

tdf#104814 Writer: accepting change tracking changes get stuck

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-01-10 06:42:30 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b5f351785670e7310e0c074d8b96f2538cf0f2f&h=libreoffice-5-2

tdf#104814 Writer: accepting change tracking changes get stuck

It will be available in 5.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.